package ec.gob.registrocivil.consultacedula;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

@XmlRegistry
public class ObjectFactory {

    private static final QName _BusquedaPorCedula_QNAME = new QName("http://www.registrocivil.gob.ec/ConsultaCedula", "BusquedaPorCedula");
    private static final QName _WsUpResponse_QNAME = new QName("http://www.registrocivil.gob.ec/ConsultaCedula", "WsUpResponse");
    private static final QName _BusquedaPorCedulaResponse_QNAME = new QName("http://www.registrocivil.gob.ec/ConsultaCedula", "BusquedaPorCedulaResponse");
    private static final QName _WsUp_QNAME = new QName("http://www.registrocivil.gob.ec/ConsultaCedula", "WsUp");

    public BusquedaPorCedula createBusquedaPorCedula() {
        return new BusquedaPorCedula();
    }

    public WsUp createWsUp() {
        return new WsUp();
    }

    public BusquedaPorCedulaResponse createBusquedaPorCedulaResponse() {
        return new BusquedaPorCedulaResponse();
    }

    public WsUpResponse createWsUpResponse() {
        return new WsUpResponse();
    }

    public Cedula createCedula() {
        return new Cedula();
    }

    @XmlElementDecl(namespace = "http://www.registrocivil.gob.ec/ConsultaCedula", name = "BusquedaPorCedula")
    public JAXBElement<BusquedaPorCedula> createBusquedaPorCedula(BusquedaPorCedula value) {
        return new JAXBElement(_BusquedaPorCedula_QNAME, BusquedaPorCedula.class, null, value);
    }

    @XmlElementDecl(namespace = "http://www.registrocivil.gob.ec/ConsultaCedula", name = "WsUpResponse")
    public JAXBElement<WsUpResponse> createWsUpResponse(WsUpResponse value) {
        return new JAXBElement(_WsUpResponse_QNAME, WsUpResponse.class, null, value);
    }

    @XmlElementDecl(namespace = "http://www.registrocivil.gob.ec/ConsultaCedula", name = "BusquedaPorCedulaResponse")
    public JAXBElement<BusquedaPorCedulaResponse> createBusquedaPorCedulaResponse(BusquedaPorCedulaResponse value) {
        return new JAXBElement(_BusquedaPorCedulaResponse_QNAME, BusquedaPorCedulaResponse.class, null, value);
    }

    @XmlElementDecl(namespace = "http://www.registrocivil.gob.ec/ConsultaCedula", name = "WsUp")
    public JAXBElement<WsUp> createWsUp(WsUp value) {
        return new JAXBElement(_WsUp_QNAME, WsUp.class, null, value);
    }
}


/* Location:              /data/COMACO/SINCOAR2022/Entorno/produccion/servers/mule-standalone-3.5.0/apps/centralwebservices-2.1.zip!/centralwebservices-2.1/classes/ec/gob/registrocivil/consultacedula/ObjectFactory.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */
